=== doc/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XDOCDIR) $(MANDIR)/man1
	cp -r *.svg *.html *.css *.png xschem_man $(XDOCDIR)
	cp manpages/xschem.1 $(MANDIR)/man1/xschem.1

uninstall: FORCE
	rm -rf $(XDOCDIR)/doc

clean:

distclean:

FORCE:
