=== utile/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XSHAREDIR)/utile
	cp * $(XSHAREDIR)/utile
	rm $(XSHAREDIR)/utile/Makefile

uninstall: FORCE
	rm -rf $(XSHAREDIR)/utile

clean:

distclean:

FORCE:
