=== xschem_library/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XSHAREDIR)/xschem_library
	cp -ru mylib $(XSHAREDIR)/xschem_library
	cp -ru devices $(XSHAREDIR)/xschem_library
	cp -ru examples $(XSHAREDIR)/xschem_library
	cp -ru pcb $(XSHAREDIR)/xschem_library

uninstall: FORCE
	rm -rf $(XDOCDIR)/doc

clean:

distclean:

FORCE:
