=== debian/changelog ===
xschem (2.8.1-2) unstable; urgency=medium

  * augment debian/copyright with LGPL reference for scconfig/

 -- Bdale Garbee <bdale@gag.com>  Sun, 13 Jan 2019 16:25:29 -0700

xschem (2.8.1-1) unstable; urgency=medium

  * Initial packaging for Debian

 -- Bdale Garbee <bdale@gag.com>  Sun, 09 Dec 2018 09:12:37 -0700
