=== debian/control ===
Source: xschem
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), bison, flex, mawk, tcl-dev, tk-dev, libxpm-dev, libcairo2-dev, libx11-xcb-dev, libxrender-dev
Standards-Version: 4.1.3
Homepage: https://xschem.sourceforge.io/stefan/xschem.html
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: xschem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: schematic capture program
 Xschem is a schematic capture program, it allows creation of hierarchical 
 representation of circuits with a top down approach. By focusing on 
 interfaces, hierarchy and instance properties a complex system can be 
 described in terms of simpler building blocks. A VHDL or Verilog or Spice 
 netlist can be generated from the drawn schematic, allowing the simulation 
 of the circuit. Key feature of the program is its drawing engine written in 
 C and using directly the Xlib drawing primitives; this gives very good speed 
 performance, even on very big circuits. The user interface is built with the 
 Tcl-Tk toolkit, tcl is also the extension language used.
