=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure                             \
	   --prefix=/usr                        \
	   --LDFLAGS='$(LDFLAGS)'               \
	   --CFLAGS='$(CFLAGS) $(CPPFLAGS)'
