=== scconfig/Makefile ===
--- 
+++ 
@@ -75,15 +75,23 @@
 CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS) $(TTY_CFLAGS) $(SUL_CFLAGS) $(POSIX_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default
 LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(TTY_LDFLAGS) $(SUL_LDFLAGS) $(POSIX_LDFLAGS) $(MENULIB_LDFLAGS)
 
+all: configure sccbox
+
 configure: $(OBJS) $(DEFAULT_MAIN_OBJS)
 	$(CC) -o configure $(OBJS) $(DEFAULT_MAIN_OBJS)
 
 menuconfig: $(OBJS) $(MENULIB_OBJS)
 	$(CC) -o configure $(OBJS) $(MENULIB_OBJS)
 
+src/util/sccbox.o: src/util/sccbox.c
+	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c
+
+sccbox: src/util/sccbox.o
+	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
+
 clean:
-	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure
+	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure src/util/sccbox.o
 
 distclean:
 	$(MAKE) clean ; true
-	rm -f config.cache config.log
+	rm -f config.cache config.log sccbox
