=== debian/changelog ===
xschem (3.4.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Oct 2023 11:54:32 -0600

xschem (2.8.1-3) unstable; urgency=medium

  * fix VCS links in control to point to correct project

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Aug 2020 13:45:47 -0600
