=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 11), bison, flex, mawk, tcl-dev, tk-dev, libxpm-dev, libcairo2-dev, libx11-xcb-dev, libxrender-dev
 Standards-Version: 4.1.3
 Homepage: https://xschem.sourceforge.io/stefan/xschem.html
-Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd
+Vcs-Git: https://salsa.debian.org/electronics-team/xschem.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/xschem
 
 Package: xschem
 Architecture: any
